// index page

import clsx from 'clsx';
// noinspection ES6UnusedImports
import Link from '@docusaurus/Link';
import useDocusaurusContext from '@docusaurus/useDocusaurusContext';
import Layout from '@theme/Layout';

import Heading from '@theme/Heading';
import styles from './index.module.scss';

import jeddunkxyzlogo from '@site/static/img/jeddunkxyz.png'
import HomepageContent from "@site/src/components/HomepageContent";

function HomepageHeader() {
  const {siteConfig} = useDocusaurusContext();
  return (
    <header className={clsx('hero hero--primary', styles.heroBanner)}>
      <div className="container">
        <Heading as="h1" className="hero__title">
          <img className={styles.logo} alt={siteConfig.title} src={jeddunkxyzlogo} />
        </Heading>
      </div>
    </header>
  );
}

export default function Home() {
  return (
    <Layout>
      <HomepageHeader />
      <main>
        <HomepageContent />
      </main>
    </Layout>
  );
}
